" Name:         Solarized 8
" Description:  Precision colors for machines and people
" Authors:      Ethan Schoonover
" Maintainers:  Lifepillar <lifepillar@lifepillar.me>
" URLs:         https://github.com/lifepillar/vim-solarized8
" License:      OSI approved MIT license
" Last Updated: Wed Jan 24 17:25:27 2024

" Generated by Colortemplate v3.0.0-alpha0

hi clear
let g:colors_name = 'solarized8'

let hs_highlight_boolean=1
let hs_highlight_delimiters=1

if &background == 'dark'
  let g:terminal_ansi_colors = ['#073642', '#dc322f', '#859900', '#b58900', '#268bd2', '#d33682', '#2aa198', '#eee8d5', '#002b36', '#cb4b16', '#586e75', '#657b83', '#839496', '#6c71c4', '#93a1a1', '#fdf6e3']

  let s:italics = get(g:, 'solarized_italics', 1) && ((&t_ZH != '' && &t_ZH != '[7m') || has('gui_running') || has('nvim'))
  let s:termtrans = get(g:, 'solarized_termtrans', 0) && !has('gui_running')
  let s:visibility = get(g:, 'solarized_visibility', 'normal')
  let s:diffmode = get(g:, 'solarized_diffmode', 'normal')
  let s:stl = get(g:, 'solarized_statusline', 'normal')
  let s:extra = get(g:, 'solarized_extra_hi_groups', 1)
  let s:vismap = {"normal": 0, "high": 1, "low": 2}
  let s:transvis = s:termtrans + 2 * get(s:vismap, s:visibility, 'normal')
  let s:extra_italic = s:extra + 2 * s:italics
  let s:oldcursor = get(g:, 'solarized_old_cursor_style', 0)
  let s:extra_stl = get(g:, 'solarized_extra_hi_groups', 1) + 2 * (get(g:, 'solarized_statusline', '') == 'flat')
  let s:extra_stl_hl = get(g:, 'solarized_extra_hi_groups', 1) + 2 * (get(g:, 'solarized_statusline', '') == 'flat') + 4 * get(g:, 'ale_sign_highlight_linenrs', '')

  hi! link Boolean Constant
  hi! link Character Constant
  hi! link Conditional Statement
  hi! link CurSearch Search
  hi! link CursorLineFold FoldColumn
  hi! link CursorLineSign SignColumn
  hi! link Debug Special
  hi! link Define PreProc
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi! link Function Identifier
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link LineNrAbove LineNr
  hi! link LineNrBelow LineNr
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PopupNotification WarningMsg
  hi! link PopupSelected PmenuSel
  hi! link PreCondit PreProc
  hi! link QuickFixLine Search
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link StorageClass Type
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi! link Typedef Type
  hi! link debugBreakpoint SignColumn
  hi! link debugPC SignColumn
  hi! link lCursor Cursor

  hi Normal guifg=#93a1a1 guibg=#002b36 guisp=NONE gui=NONE
  hi Added guifg=#859900 guibg=NONE guisp=NONE gui=NONE
  hi Changed guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
  hi ColorColumn guifg=NONE guibg=#073642 guisp=NONE gui=NONE
  hi CommandMode guifg=#d33682 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Comment guifg=#586e75 guibg=NONE guisp=NONE gui=italic
  hi Conceal guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi Constant guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
  hi Cursor guifg=#fdf6e3 guibg=#268bd2 guisp=NONE gui=NONE
  hi CursorColumn guifg=NONE guibg=#073642 guisp=NONE gui=NONE
  hi CursorIM guifg=NONE guibg=fg guisp=NONE gui=NONE
  hi CursorLine guifg=NONE guibg=#073642 guisp=NONE gui=NONE
  hi CursorLineNr guifg=#839496 guibg=#073642 guisp=NONE gui=bold
  hi DiffAdd guifg=#859900 guibg=#073642 guisp=#859900 gui=NONE
  hi DiffChange guifg=#b58900 guibg=#073642 guisp=#b58900 gui=NONE
  hi DiffDelete guifg=#dc322f guibg=#073642 guisp=NONE gui=bold
  hi DiffText guifg=#268bd2 guibg=#073642 guisp=#268bd2 gui=NONE
  hi Directory guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi EndOfBuffer guifg=NONE guibg=NONE guisp=NONE gui=NONE
  hi Error guifg=#dc322f guibg=#fdf6e3 guisp=NONE gui=bold,reverse
  hi ErrorMsg guifg=#dc322f guibg=#fdf6e3 guisp=NONE gui=reverse
  hi FoldColumn guifg=#839496 guibg=#073642 guisp=NONE gui=NONE
  hi Folded guifg=#839496 guibg=#073642 guisp=#002b36 gui=bold
  hi Identifier guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi Ignore guifg=NONE guibg=NONE guisp=NONE gui=NONE
  hi IncSearch guifg=#cb4b16 guibg=NONE guisp=NONE gui=standout
  hi InsertMode guifg=#2aa198 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi LineNr guifg=#657b83 guibg=#073642 guisp=NONE gui=NONE
  hi MatchParen guifg=#fdf6e3 guibg=#073642 guisp=NONE gui=bold
  hi ModeMsg guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi MoreMsg guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi NonText guifg=#657b83 guibg=NONE guisp=NONE gui=bold
  hi NormalMode guifg=#839496 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Pmenu guifg=#93a1a1 guibg=#073642 guisp=NONE gui=NONE
  hi PmenuSbar guifg=NONE guibg=#586e75 guisp=NONE gui=NONE
  hi PmenuSel guifg=#eee8d5 guibg=#657b83 guisp=NONE gui=NONE
  hi PmenuThumb guifg=NONE guibg=#839496 guisp=NONE gui=NONE
  hi PreProc guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
  hi Question guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
  hi Removed guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
  hi ReplaceMode guifg=#cb4b16 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Search guifg=#b58900 guibg=NONE guisp=NONE gui=reverse
  hi SignColumn guifg=#839496 guibg=#073642 guisp=NONE gui=NONE
  hi Special guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
  hi SpecialKey guifg=#657b83 guibg=#073642 guisp=NONE gui=bold
  hi SpellBad guifg=#6c71c4 guibg=NONE guisp=#6c71c4 gui=undercurl
  hi SpellCap guifg=#6c71c4 guibg=NONE guisp=#6c71c4 gui=undercurl
  hi SpellLocal guifg=#b58900 guibg=NONE guisp=#b58900 gui=undercurl
  hi SpellRare guifg=#2aa198 guibg=NONE guisp=#2aa198 gui=undercurl
  hi Statement guifg=#859900 guibg=NONE guisp=NONE gui=NONE
  hi StatusLine guifg=#839496 guibg=#073642 guisp=NONE gui=reverse
  hi StatusLineNC guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
  hi TabLine guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
  hi TabLineFill guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
  hi TabLineSel guifg=#839496 guibg=#073642 guisp=NONE gui=reverse
  hi Terminal guifg=fg guibg=#002b36 guisp=NONE gui=NONE
  hi Title guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
  hi Todo guifg=#d33682 guibg=NONE guisp=NONE gui=bold
  hi ToolbarButton guifg=#93a1a1 guibg=#073642 guisp=NONE gui=bold
  hi ToolbarLine guifg=NONE guibg=#073642 guisp=NONE gui=NONE
  hi Type guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
  hi Underlined guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
  hi VertSplit guifg=#073642 guibg=#586e75 guisp=NONE gui=NONE
  hi Visual guifg=#586e75 guibg=#002b36 guisp=NONE gui=reverse
  hi VisualMode guifg=#d33682 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi VisualNOS guifg=NONE guibg=#073642 guisp=NONE gui=reverse
  hi WarningMsg guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
  hi WildMenu guifg=#eee8d5 guibg=#073642 guisp=NONE gui=reverse

  if has('gui_running')
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 guibg=NONE guisp=NONE gui=reverse
      hi DiffChange guifg=#b58900 guibg=NONE guisp=NONE gui=reverse
      hi DiffDelete guifg=#dc322f guibg=NONE guisp=NONE gui=reverse
      hi DiffText guifg=#268bd2 guibg=NONE guisp=NONE gui=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 guibg=NONE guisp=#859900 gui=NONE
      hi DiffChange guifg=#b58900 guibg=NONE guisp=#b58900 gui=NONE
      hi DiffDelete guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi DiffText guifg=#268bd2 guibg=NONE guisp=#268bd2 gui=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f guibg=NONE guisp=#dc322f gui=undercurl
      hi ALEErrorLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi ALEInfo guifg=#2aa198 guibg=NONE guisp=#2aa198 gui=undercurl
      hi ALEInfoLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 guibg=NONE guisp=#b58900 gui=undercurl
      hi ALEWarningLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi VarId guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi cPreCondit guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi gitcommitFile guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi gitcommitHeader guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#586e75 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi gitcommitUnmerged guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
      hi gitcommitdiscardedtype guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi gitcommitselectedtype guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi helpExample guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi helpHyperTextEntry guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi helpHyperTextJump guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi helpNote guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi helpOption guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi hsImportLabel guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsStatement guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsString guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi hsStructure guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsType guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi hsTypedef guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsVarSym guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hs_DeclareFunction guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
      hi hs_OpFunctionName guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi hs_hlFunctionName guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi hsniceoperator guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi htmlArg guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi htmlEndTag guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi htmlTag guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi htmlTagN guifg=#93a1a1 guibg=NONE guisp=NONE gui=bold
      hi htmlTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi javaScript guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader5 guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader6 guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitation guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationDelim guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationID guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationRef guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocDefinitionTerm guifg=#6c71c4 guibg=NONE guisp=NONE gui=standout
      hi pandocEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNested guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocEscapePair guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi pandocFootnoteDefLink guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi pandocFootnoteInline guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi pandocFootnoteLink guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi pandocHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocHeadingMarker guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocImageCaption guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 guibg=NONE guisp=#657b83 gui=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocLinkDelim guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkLabel guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkText guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkTitle guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkTitleDelim guifg=#586e75 guibg=NONE guisp=#657b83 gui=NONE
      hi pandocLinkURL guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi pandocListMarker guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocListReference guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocMetadata guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocMetadataDelim guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi pandocMetadataKey guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f guibg=NONE guisp=NONE gui=reverse
      hi pandocRule guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocRuleLine guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrikeout guifg=#586e75 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutTable guifg=#268bd2 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrongEmphasis guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasis guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNested guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStyleDelim guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscript guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocSubscriptTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscript guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocSuperscriptTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTableStructure guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 guibg=#073642 guisp=NONE gui=NONE
      hi pandocTableZebraLight guifg=#268bd2 guibg=#002b36 guisp=NONE gui=NONE
      hi pandocTitleBlock guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocTitleComment guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocVerbatimBlock guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi perlHereDoc guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi perlStatementFileDesc guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi perlVarPlain guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi rubyBoolean guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi rubyDefine guifg=#93a1a1 guibg=NONE guisp=NONE gui=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texmathzonex guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texreflabel guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texstatement guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi vimCmdSep guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi vimCommand guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi vimCommentString guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi vimHiGroup guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi vimHiLink guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi vimIsCommand guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi vimSynMtchOpt guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi vimSynType guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi htmlSpecialTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocComment guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasis guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#586e75 guibg=NONE guisp=NONE gui=italic
      hi htmlSpecialTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=italic
      hi pandocComment guifg=#586e75 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasis guifg=#839496 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#073642 guibg=#dc322f guisp=NONE gui=NONE
      hi ALEInfoSignLineNr guifg=#073642 guibg=#2aa198 guisp=NONE gui=NONE
      hi ALEWarningSignLineNr guifg=#073642 guibg=#b58900 guisp=NONE gui=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi ALEWarningSignLineNr guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f guibg=#073642 guisp=NONE gui=bold
      hi ALEInfoSign guifg=#2aa198 guibg=#073642 guisp=NONE gui=bold
      hi ALEWarningSign guifg=#b58900 guibg=#073642 guisp=NONE gui=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi ALEInfoSign guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
      hi ALEWarningSign guifg=#b58900 guibg=NONE guisp=NONE gui=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#073642 guibg=#dc322f guisp=NONE gui=bold
      hi ALEInfoSign guifg=#073642 guibg=#2aa198 guisp=NONE gui=bold
      hi ALEWarningSign guifg=#073642 guibg=#b58900 guisp=NONE gui=bold
    endif
    if s:italics == 0
      hi Comment gui=NONE
    endif
    if s:oldcursor == 1
      hi Cursor guifg=#002b36 guibg=#839496 guisp=NONE gui=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#073642 guibg=#eee8d5 guisp=NONE gui=reverse
      hi StatusLineNC guifg=#073642 guibg=#93a1a1 guisp=NONE gui=reverse
      hi TabLine guifg=#586e75 guibg=#073642 guisp=NONE gui=NONE
      hi TabLineFill guifg=#586e75 guibg=#073642 guisp=NONE gui=NONE
      hi TabLineSel guifg=#eee8d5 guibg=#073642 guisp=NONE gui=NONE
      hi VertSplit guifg=#586e75 guibg=#073642 guisp=NONE gui=NONE
    elseif s:stl == "low"
      hi StatusLine guifg=#586e75 guibg=#eee8d5 guisp=NONE gui=reverse
      hi StatusLineNC guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
      hi TabLine guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
      hi TabLineFill guifg=#586e75 guibg=#073642 guisp=NONE gui=reverse
      hi TabLineSel guifg=#839496 guibg=#fdf6e3 guisp=NONE gui=reverse
      hi VertSplit guifg=#073642 guibg=#586e75 guisp=NONE gui=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#839496 guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#cb4b16 guibg=#073642 guisp=NONE gui=bold
      hi LineNr guifg=#839496 guibg=#073642 guisp=NONE gui=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#839496 guibg=NONE guisp=NONE gui=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#586e75 guibg=#073642 guisp=NONE gui=bold
      hi LineNr guifg=#586e75 guibg=#073642 guisp=NONE gui=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#586e75 guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
    endif
    if s:visibility == "high"
      hi NonText guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi SpecialKey guifg=#cb4b16 guibg=NONE guisp=NONE gui=reverse
      hi SpellBad guifg=#6c71c4 guibg=#fdf6e3 guisp=#dc322f gui=reverse,undercurl
      hi SpellCap guifg=#6c71c4 guibg=#fdf6e3 guisp=#dc322f gui=reverse,undercurl
      hi SpellLocal guifg=#b58900 guibg=#fdf6e3 guisp=#dc322f gui=reverse,undercurl
      hi SpellRare guifg=#2aa198 guibg=#fdf6e3 guisp=#dc322f gui=reverse,undercurl
      hi Title guifg=#b58900 guibg=NONE guisp=NONE gui=bold
    elseif s:visibility == "low"
      hi NonText guifg=#073642 guibg=NONE guisp=NONE gui=bold
      hi SpecialKey guifg=#073642 guibg=NONE guisp=NONE gui=reverse
      hi Title guifg=#586e75 guibg=NONE guisp=NONE gui=bold
    endif
  endif

  if str2nr(&t_Co) >= 256
    hi Normal ctermfg=247 ctermbg=235 cterm=NONE
    hi Added ctermfg=106 ctermbg=NONE cterm=NONE
    hi Changed ctermfg=136 ctermbg=NONE cterm=NONE
    hi ColorColumn ctermfg=NONE ctermbg=236 cterm=NONE
    hi CommandMode ctermfg=162 ctermbg=230 cterm=reverse
    hi Comment ctermfg=242 ctermbg=NONE cterm=italic
    hi Conceal ctermfg=32 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=37 ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=230 ctermbg=32 cterm=NONE
    hi CursorColumn ctermfg=NONE ctermbg=236 cterm=NONE
    hi CursorIM ctermfg=NONE ctermbg=fg cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=236 cterm=NONE
    hi CursorLineNr ctermfg=246 ctermbg=236 cterm=bold
    hi DiffAdd ctermfg=106 ctermbg=236 cterm=NONE
    hi DiffChange ctermfg=136 ctermbg=236 cterm=NONE
    hi DiffDelete ctermfg=160 ctermbg=236 cterm=bold
    hi DiffText ctermfg=32 ctermbg=236 cterm=NONE
    hi Directory ctermfg=32 ctermbg=NONE cterm=NONE
    hi EndOfBuffer ctermfg=NONE ctermbg=NONE cterm=NONE
    hi Error ctermfg=160 ctermbg=230 cterm=bold,reverse
    hi ErrorMsg ctermfg=160 ctermbg=230 cterm=reverse
    hi FoldColumn ctermfg=246 ctermbg=236 cterm=NONE
    hi Folded ctermfg=246 ctermbg=236 cterm=bold
    hi Identifier ctermfg=32 ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=NONE ctermbg=NONE cterm=NONE
    hi IncSearch ctermfg=166 ctermbg=NONE cterm=standout
    hi InsertMode ctermfg=37 ctermbg=230 cterm=reverse
    hi LineNr ctermfg=66 ctermbg=236 cterm=NONE
    hi MatchParen ctermfg=230 ctermbg=236 cterm=bold
    hi ModeMsg ctermfg=32 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=32 ctermbg=NONE cterm=NONE
    hi NonText ctermfg=66 ctermbg=NONE cterm=bold
    hi NormalMode ctermfg=246 ctermbg=230 cterm=reverse
    hi Pmenu ctermfg=247 ctermbg=236 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=242 cterm=NONE
    hi PmenuSel ctermfg=254 ctermbg=66 cterm=NONE
    hi PmenuThumb ctermfg=NONE ctermbg=246 cterm=NONE
    hi PreProc ctermfg=166 ctermbg=NONE cterm=NONE
    hi Question ctermfg=37 ctermbg=NONE cterm=bold
    hi Removed ctermfg=160 ctermbg=NONE cterm=NONE
    hi ReplaceMode ctermfg=166 ctermbg=230 cterm=reverse
    hi Search ctermfg=136 ctermbg=NONE cterm=reverse
    hi SignColumn ctermfg=246 ctermbg=236 cterm=NONE
    hi Special ctermfg=166 ctermbg=NONE cterm=NONE
    hi SpecialKey ctermfg=66 ctermbg=236 cterm=bold
    hi SpellBad ctermfg=61 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=61 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=136 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=37 ctermbg=NONE cterm=underline
    hi Statement ctermfg=106 ctermbg=NONE cterm=NONE
    hi StatusLine ctermfg=246 ctermbg=236 cterm=reverse
    hi StatusLineNC ctermfg=242 ctermbg=236 cterm=reverse
    hi TabLine ctermfg=242 ctermbg=236 cterm=reverse
    hi TabLineFill ctermfg=242 ctermbg=236 cterm=reverse
    hi TabLineSel ctermfg=246 ctermbg=236 cterm=reverse
    hi Terminal ctermfg=fg ctermbg=235 cterm=NONE
    hi Title ctermfg=166 ctermbg=NONE cterm=bold
    hi Todo ctermfg=162 ctermbg=NONE cterm=bold
    hi ToolbarButton ctermfg=247 ctermbg=236 cterm=bold
    hi ToolbarLine ctermfg=NONE ctermbg=236 cterm=NONE
    hi Type ctermfg=136 ctermbg=NONE cterm=NONE
    hi Underlined ctermfg=61 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=236 ctermbg=242 cterm=NONE
    hi Visual ctermfg=242 ctermbg=235 cterm=reverse
    hi VisualMode ctermfg=162 ctermbg=230 cterm=reverse
    hi VisualNOS ctermfg=NONE ctermbg=236 cterm=reverse
    hi WarningMsg ctermfg=166 ctermbg=NONE cterm=bold
    hi WildMenu ctermfg=254 ctermbg=236 cterm=reverse
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffChange guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffDelete guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffChange guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffDelete guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi DiffText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEErrorLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfo guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEInfoLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEWarningLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi VarId guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi cPreCondit guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitFile guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitHeader guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitUnmerged guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitdiscardedtype guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi gitcommitselectedtype guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpExample guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextEntry guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextJump guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpNote guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpOption guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsImportLabel guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStatement guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsString guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStructure guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsType guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsTypedef guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsVarSym guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_DeclareFunction guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_OpFunctionName guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_hlFunctionName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsniceoperator guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlArg guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlEndTag guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTag guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTagN guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi htmlTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi javaScript guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader5 guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader6 guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitation guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationDelim guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationID guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationRef guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocDefinitionTerm guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=standout
      hi pandocEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNested guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEscapePair guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocFootnoteDefLink guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteInline guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteLink guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocHeadingMarker guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocImageCaption guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocLinkDelim guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkLabel guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitle guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitleDelim guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkURL guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListMarker guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListReference guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadata guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocMetadataDelim guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadataKey guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocRule guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocRuleLine guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrikeout guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrongEmphasis guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasis guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNested guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStyleDelim guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscript guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSubscriptTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscript guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSuperscriptTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTableStructure guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 ctermfg=32 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
      hi pandocTableZebraLight guifg=#268bd2 ctermfg=32 guibg=#002b36 ctermbg=235 guisp=NONE cterm=NONE
      hi pandocTitleBlock guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocTitleComment guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimBlock guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlHereDoc guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlStatementFileDesc guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlVarPlain guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyBoolean guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyDefine guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texmathzonex guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texreflabel guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texstatement guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCmdSep guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimCommand guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCommentString guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimHiGroup guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimHiLink guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimIsCommand guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynMtchOpt guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynType guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocComment guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasis guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocComment guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasis guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#073642 ctermfg=236 guibg=#dc322f ctermbg=160 guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#073642 ctermfg=236 guibg=#2aa198 ctermbg=37 guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#073642 ctermfg=236 guibg=#b58900 ctermbg=136 guisp=NONE cterm=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f ctermfg=160 guibg=#073642 ctermbg=236 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=37 guibg=#073642 ctermbg=236 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=136 guibg=#073642 ctermbg=236 guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#073642 ctermfg=236 guibg=#dc322f ctermbg=160 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#073642 ctermfg=236 guibg=#2aa198 ctermbg=37 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#073642 ctermfg=236 guibg=#b58900 ctermbg=136 guisp=NONE cterm=bold
    endif
    if s:italics == 0
      hi Comment cterm=NONE
    endif
    if s:oldcursor == 1
      hi Cursor guifg=#002b36 ctermfg=235 guibg=#839496 ctermbg=246 guisp=NONE cterm=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#073642 ctermfg=236 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#073642 ctermfg=236 guibg=#93a1a1 ctermbg=247 guisp=NONE cterm=reverse
      hi TabLine guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
      hi TabLineFill guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
      hi TabLineSel guifg=#eee8d5 ctermfg=254 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
      hi VertSplit guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
    elseif s:stl == "low"
      hi StatusLine guifg=#586e75 ctermfg=242 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=reverse
      hi TabLine guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=reverse
      hi TabLineFill guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=reverse
      hi TabLineSel guifg=#839496 ctermfg=246 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse
      hi VertSplit guifg=#073642 ctermfg=236 guibg=#586e75 ctermbg=242 guisp=NONE cterm=NONE
    endif
    if s:termtrans == 1
      hi Normal guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi FoldColumn guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi Folded guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Terminal guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ToolbarButton guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ToolbarLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#cb4b16 ctermfg=166 guibg=#073642 ctermbg=236 guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=246 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=bold
      hi LineNr guifg=#586e75 ctermfg=242 guibg=#073642 ctermbg=236 guisp=NONE cterm=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:visibility == "high"
      hi NonText guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi SpellBad guifg=#6c71c4 ctermfg=61 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellCap guifg=#6c71c4 ctermfg=61 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellLocal guifg=#b58900 ctermfg=136 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellRare guifg=#2aa198 ctermfg=37 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi Title guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:visibility == "low"
      hi NonText guifg=#073642 ctermfg=236 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#073642 ctermfg=236 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi Title guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:oldcursor
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif

  if str2nr(&t_Co) >= 16
    hi Normal ctermfg=14 ctermbg=8 cterm=NONE
    hi Added ctermfg=2 ctermbg=NONE cterm=NONE
    hi Changed ctermfg=3 ctermbg=NONE cterm=NONE
    hi ColorColumn ctermfg=NONE ctermbg=0 cterm=NONE
    hi CommandMode ctermfg=5 ctermbg=15 cterm=reverse
    hi Comment ctermfg=10 ctermbg=NONE cterm=italic
    hi Conceal ctermfg=4 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=6 ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=15 ctermbg=4 cterm=NONE
    hi CursorColumn ctermfg=NONE ctermbg=0 cterm=NONE
    hi CursorIM ctermfg=NONE ctermbg=fg cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=0 cterm=NONE
    hi CursorLineNr ctermfg=12 ctermbg=0 cterm=bold
    hi DiffAdd ctermfg=2 ctermbg=0 cterm=NONE
    hi DiffChange ctermfg=3 ctermbg=0 cterm=NONE
    hi DiffDelete ctermfg=1 ctermbg=0 cterm=bold
    hi DiffText ctermfg=4 ctermbg=0 cterm=NONE
    hi Directory ctermfg=4 ctermbg=NONE cterm=NONE
    hi EndOfBuffer ctermfg=NONE ctermbg=NONE cterm=NONE
    hi Error ctermfg=1 ctermbg=15 cterm=bold,reverse
    hi ErrorMsg ctermfg=1 ctermbg=15 cterm=reverse
    hi FoldColumn ctermfg=12 ctermbg=0 cterm=NONE
    hi Folded ctermfg=12 ctermbg=0 cterm=bold
    hi Identifier ctermfg=4 ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=NONE ctermbg=NONE cterm=NONE
    hi IncSearch ctermfg=9 ctermbg=NONE cterm=standout
    hi InsertMode ctermfg=6 ctermbg=15 cterm=reverse
    hi LineNr ctermfg=11 ctermbg=0 cterm=NONE
    hi MatchParen ctermfg=15 ctermbg=0 cterm=bold
    hi ModeMsg ctermfg=4 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=4 ctermbg=NONE cterm=NONE
    hi NonText ctermfg=11 ctermbg=NONE cterm=bold
    hi NormalMode ctermfg=12 ctermbg=15 cterm=reverse
    hi Pmenu ctermfg=14 ctermbg=0 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=10 cterm=NONE
    hi PmenuSel ctermfg=7 ctermbg=11 cterm=NONE
    hi PmenuThumb ctermfg=NONE ctermbg=12 cterm=NONE
    hi PreProc ctermfg=9 ctermbg=NONE cterm=NONE
    hi Question ctermfg=6 ctermbg=NONE cterm=bold
    hi Removed ctermfg=1 ctermbg=NONE cterm=NONE
    hi ReplaceMode ctermfg=9 ctermbg=15 cterm=reverse
    hi Search ctermfg=3 ctermbg=NONE cterm=reverse
    hi SignColumn ctermfg=12 ctermbg=0 cterm=NONE
    hi Special ctermfg=9 ctermbg=NONE cterm=NONE
    hi SpecialKey ctermfg=11 ctermbg=0 cterm=bold
    hi SpellBad ctermfg=13 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=13 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=3 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=6 ctermbg=NONE cterm=underline
    hi Statement ctermfg=2 ctermbg=NONE cterm=NONE
    hi StatusLine ctermfg=12 ctermbg=0 cterm=reverse
    hi StatusLineNC ctermfg=10 ctermbg=0 cterm=reverse
    hi TabLine ctermfg=10 ctermbg=0 cterm=reverse
    hi TabLineFill ctermfg=10 ctermbg=0 cterm=reverse
    hi TabLineSel ctermfg=12 ctermbg=0 cterm=reverse
    hi Terminal ctermfg=fg ctermbg=8 cterm=NONE
    hi Title ctermfg=9 ctermbg=NONE cterm=bold
    hi Todo ctermfg=5 ctermbg=NONE cterm=bold
    hi ToolbarButton ctermfg=14 ctermbg=0 cterm=bold
    hi ToolbarLine ctermfg=NONE ctermbg=0 cterm=NONE
    hi Type ctermfg=3 ctermbg=NONE cterm=NONE
    hi Underlined ctermfg=13 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=0 ctermbg=10 cterm=NONE
    hi Visual ctermfg=10 ctermbg=8 cterm=reverse
    hi VisualMode ctermfg=5 ctermbg=15 cterm=reverse
    hi VisualNOS ctermfg=NONE ctermbg=0 cterm=reverse
    hi WarningMsg ctermfg=9 ctermbg=NONE cterm=bold
    hi WildMenu ctermfg=7 ctermbg=0 cterm=reverse
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffChange guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffDelete guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffChange guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffDelete guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi DiffText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEErrorLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfo guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEInfoLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEWarningLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi VarId guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi cPreCondit guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitFile guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitHeader guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitUnmerged guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitdiscardedtype guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi gitcommitselectedtype guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpExample guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextEntry guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextJump guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpNote guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpOption guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsImportLabel guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStatement guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsString guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStructure guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsType guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsTypedef guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsVarSym guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_DeclareFunction guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_OpFunctionName guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_hlFunctionName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsniceoperator guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlArg guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlEndTag guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTag guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTagN guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi htmlTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi javaScript guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader5 guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader6 guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitation guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationDelim guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationID guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationRef guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocDefinitionTerm guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=standout
      hi pandocEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNested guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEscapePair guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocFootnoteDefLink guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteInline guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteLink guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocHeadingMarker guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocImageCaption guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocLinkDelim guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkLabel guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitle guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitleDelim guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkURL guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListMarker guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListReference guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadata guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocMetadataDelim guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadataKey guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocRule guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocRuleLine guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrikeout guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrongEmphasis guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasis guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNested guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStyleDelim guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscript guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSubscriptTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscript guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSuperscriptTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTableStructure guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 ctermfg=4 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
      hi pandocTableZebraLight guifg=#268bd2 ctermfg=4 guibg=#002b36 ctermbg=8 guisp=NONE cterm=NONE
      hi pandocTitleBlock guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocTitleComment guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimBlock guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlHereDoc guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlStatementFileDesc guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlVarPlain guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyBoolean guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyDefine guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texmathzonex guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texreflabel guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texstatement guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCmdSep guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimCommand guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCommentString guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimHiGroup guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimHiLink guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimIsCommand guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynMtchOpt guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynType guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocComment guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasis guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocComment guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasis guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#073642 ctermfg=0 guibg=#dc322f ctermbg=1 guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#073642 ctermfg=0 guibg=#2aa198 ctermbg=6 guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#073642 ctermfg=0 guibg=#b58900 ctermbg=3 guisp=NONE cterm=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f ctermfg=1 guibg=#073642 ctermbg=0 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=6 guibg=#073642 ctermbg=0 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=3 guibg=#073642 ctermbg=0 guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#073642 ctermfg=0 guibg=#dc322f ctermbg=1 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#073642 ctermfg=0 guibg=#2aa198 ctermbg=6 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#073642 ctermfg=0 guibg=#b58900 ctermbg=3 guisp=NONE cterm=bold
    endif
    if s:italics == 0
      hi Comment cterm=NONE
    endif
    if s:oldcursor == 1
      hi Cursor guifg=#002b36 ctermfg=8 guibg=#839496 ctermbg=12 guisp=NONE cterm=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#073642 ctermfg=0 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#073642 ctermfg=0 guibg=#93a1a1 ctermbg=14 guisp=NONE cterm=reverse
      hi TabLine guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
      hi TabLineFill guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
      hi TabLineSel guifg=#eee8d5 ctermfg=7 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
      hi VertSplit guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
    elseif s:stl == "low"
      hi StatusLine guifg=#586e75 ctermfg=10 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=reverse
      hi TabLine guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=reverse
      hi TabLineFill guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=reverse
      hi TabLineSel guifg=#839496 ctermfg=12 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse
      hi VertSplit guifg=#073642 ctermfg=0 guibg=#586e75 ctermbg=10 guisp=NONE cterm=NONE
    endif
    if s:termtrans == 1
      hi Normal guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi FoldColumn guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi Folded guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Terminal guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ToolbarButton guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ToolbarLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#cb4b16 ctermfg=9 guibg=#073642 ctermbg=0 guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=12 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=bold
      hi LineNr guifg=#586e75 ctermfg=10 guibg=#073642 ctermbg=0 guisp=NONE cterm=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:visibility == "high"
      hi NonText guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi SpellBad guifg=#6c71c4 ctermfg=13 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellCap guifg=#6c71c4 ctermfg=13 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellLocal guifg=#b58900 ctermfg=3 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellRare guifg=#2aa198 ctermfg=6 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi Title guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:visibility == "low"
      hi NonText guifg=#073642 ctermfg=0 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#073642 ctermfg=0 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi Title guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:oldcursor
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif

  if str2nr(&t_Co) >= 0
    hi Normal term=NONE
    hi Added term=bold
    hi Changed term=bold,italic
    hi ColorColumn term=reverse
    hi CommandMode term=reverse
    hi Comment term=italic
    hi Conceal term=NONE
    hi Constant term=bold,italic
    hi Cursor term=NONE
    hi CursorColumn term=reverse
    hi CursorIM term=NONE
    hi CursorLine term=underline
    hi CursorLineNr term=bold,italic,reverse,underline
    hi DiffAdd term=reverse,underline
    hi DiffChange term=reverse,underline
    hi DiffDelete term=reverse,underline
    hi DiffText term=bold,reverse,underline
    hi Directory term=NONE
    hi EndOfBuffer term=NONE
    hi Error term=reverse
    hi ErrorMsg term=bold,italic,reverse
    hi FoldColumn term=reverse
    hi Folded term=italic,reverse,underline
    hi Identifier term=italic
    hi Ignore term=NONE
    hi IncSearch term=bold,italic,reverse
    hi InsertMode term=reverse
    hi LineNr term=reverse
    hi MatchParen term=bold,underline
    hi ModeMsg term=NONE
    hi MoreMsg term=NONE
    hi NonText term=NONE
    hi NormalMode term=reverse
    hi Pmenu term=reverse
    hi PmenuSbar term=NONE
    hi PmenuSel term=NONE
    hi PmenuThumb term=NONE
    hi PreProc term=italic
    hi Question term=standout
    hi Removed term=reverse,strikethrough
    hi ReplaceMode term=reverse
    hi Search term=italic,underline
    hi SignColumn term=reverse
    hi Special term=bold,italic
    hi SpecialKey term=bold
    hi SpellBad term=italic,underline
    hi SpellCap term=italic,underline
    hi SpellLocal term=italic,underline
    hi SpellRare term=italic,underline
    hi Statement term=bold
    hi StatusLine term=bold,reverse
    hi StatusLineNC term=reverse
    hi TabLine term=italic,reverse,underline
    hi TabLineFill term=reverse,underline
    hi TabLineSel term=bold
    hi Terminal term=NONE
    hi Title term=bold
    hi Todo term=bold,underline
    hi ToolbarButton term=bold,reverse
    hi ToolbarLine term=reverse
    hi Type term=bold
    hi Underlined term=underline
    hi VertSplit term=reverse
    hi Visual term=reverse
    hi VisualMode term=reverse
    hi VisualNOS term=NONE
    hi WarningMsg term=standout
    hi WildMenu term=bold
    if s:diffmode == "high"
      hi DiffAdd term=reverse
      hi DiffChange term=reverse
      hi DiffDelete term=reverse
      hi DiffText term=reverse
    elseif s:diffmode == "low"
      hi DiffDelete term=bold
    endif
    if s:italics == 0
      hi Comment term=NONE
    endif
    if s:oldcursor == 1
      hi Cursor term=NONE
    endif
    if s:stl == "flat"
      hi StatusLine term=reverse
      hi StatusLineNC term=reverse
      hi TabLine term=NONE
      hi TabLineFill term=NONE
      hi TabLineSel term=NONE
      hi VertSplit term=NONE
    elseif s:stl == "low"
      hi StatusLine term=reverse
      hi StatusLineNC term=reverse
      hi TabLine term=reverse
      hi TabLineFill term=reverse
      hi TabLineSel term=reverse
      hi VertSplit term=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 2
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 3
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 4
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 5
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    endif
    if s:visibility == "high"
      hi NonText term=bold
      hi SpecialKey term=reverse
      hi Title term=bold
    elseif s:visibility == "low"
      hi NonText term=bold
      hi SpecialKey term=reverse
      hi Title term=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:oldcursor
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif
endif

if &background == 'light'
  let g:terminal_ansi_colors = ['#073642', '#dc322f', '#859900', '#b58900', '#268bd2', '#d33682', '#2aa198', '#eee8d5', '#002b36', '#cb4b16', '#586e75', '#657b83', '#839496', '#6c71c4', '#93a1a1', '#fdf6e3']

  let s:italics = get(g:, 'solarized_italics', 1) && ((&t_ZH != '' && &t_ZH != '[7m') || has('gui_running') || has('nvim'))
  let s:termtrans = get(g:, 'solarized_termtrans', 0) && !has('gui_running')
  let s:visibility = get(g:, 'solarized_visibility', 'normal')
  let s:diffmode = get(g:, 'solarized_diffmode', 'normal')
  let s:stl = get(g:, 'solarized_statusline', 'normal')
  let s:extra = get(g:, 'solarized_extra_hi_groups', 1)
  let s:vismap = {"normal": 0, "high": 1, "low": 2}
  let s:transvis = s:termtrans + 2 * get(s:vismap, s:visibility, 'normal')
  let s:extra_italic = s:extra + 2 * s:italics
  let s:viscurs = get(g:, 'solarized_old_cursor_style', 0) + 2 * get(s:vismap, s:visibility, 'normal')
  let s:extra_stl = get(g:, 'solarized_extra_hi_groups', 1) + 2 * (get(g:, 'solarized_statusline', '') == 'flat')
  let s:extra_stl_hl = get(g:, 'solarized_extra_hi_groups', 1) + 2 * (get(g:, 'solarized_statusline', '') == 'flat') + 4 * get(g:, 'ale_sign_highlight_linenrs', '')

  hi! link Boolean Constant
  hi! link Character Constant
  hi! link Conditional Statement
  hi! link CurSearch Search
  hi! link CursorLineFold FoldColumn
  hi! link CursorLineSign SignColumn
  hi! link Debug Special
  hi! link Define PreProc
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi! link Function Identifier
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link LineNrAbove LineNr
  hi! link LineNrBelow LineNr
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PopupNotification WarningMsg
  hi! link PopupSelected PmenuSel
  hi! link PreCondit PreProc
  hi! link QuickFixLine Search
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link StorageClass Type
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi! link Typedef Type
  hi! link debugBreakpoint SignColumn
  hi! link debugPC SignColumn
  hi! link lCursor Cursor

  hi Normal guifg=#586e75 guibg=#fdf6e3 guisp=NONE gui=NONE
  hi Added guifg=#859900 guibg=NONE guisp=NONE gui=NONE
  hi Changed guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
  hi ColorColumn guifg=NONE guibg=#eee8d5 guisp=NONE gui=NONE
  hi CommandMode guifg=#d33682 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Comment guifg=#93a1a1 guibg=NONE guisp=NONE gui=italic
  hi Conceal guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi Constant guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
  hi Cursor guifg=#fdf6e3 guibg=#cb4b16 guisp=NONE gui=NONE
  hi CursorColumn guifg=NONE guibg=#eee8d5 guisp=NONE gui=NONE
  hi CursorIM guifg=NONE guibg=fg guisp=NONE gui=NONE
  hi CursorLine guifg=NONE guibg=#eee8d5 guisp=NONE gui=NONE
  hi CursorLineNr guifg=#657b83 guibg=#eee8d5 guisp=NONE gui=bold
  hi DiffAdd guifg=#859900 guibg=#eee8d5 guisp=#859900 gui=NONE
  hi DiffChange guifg=#b58900 guibg=#eee8d5 guisp=#b58900 gui=NONE
  hi DiffDelete guifg=#dc322f guibg=#eee8d5 guisp=NONE gui=bold
  hi DiffText guifg=#268bd2 guibg=#eee8d5 guisp=#268bd2 gui=NONE
  hi Directory guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi EndOfBuffer guifg=NONE guibg=NONE guisp=NONE gui=NONE
  hi Error guifg=#dc322f guibg=#fdf6e3 guisp=NONE gui=bold,reverse
  hi ErrorMsg guifg=#dc322f guibg=#fdf6e3 guisp=NONE gui=reverse
  hi FoldColumn guifg=#657b83 guibg=#eee8d5 guisp=NONE gui=NONE
  hi Folded guifg=#657b83 guibg=#eee8d5 guisp=#fdf6e3 gui=bold
  hi Identifier guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi Ignore guifg=NONE guibg=NONE guisp=NONE gui=NONE
  hi IncSearch guifg=#cb4b16 guibg=NONE guisp=NONE gui=standout
  hi InsertMode guifg=#2aa198 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi LineNr guifg=#839496 guibg=#eee8d5 guisp=NONE gui=NONE
  hi MatchParen guifg=#dc322f guibg=#eee8d5 guisp=NONE gui=bold,underline
  hi ModeMsg guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi MoreMsg guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
  hi NonText guifg=#839496 guibg=NONE guisp=NONE gui=bold
  hi NormalMode guifg=#586e75 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Pmenu guifg=#586e75 guibg=#eee8d5 guisp=NONE gui=NONE
  hi PmenuSbar guifg=NONE guibg=#93a1a1 guisp=NONE gui=NONE
  hi PmenuSel guifg=#eee8d5 guibg=#839496 guisp=NONE gui=NONE
  hi PmenuThumb guifg=NONE guibg=#657b83 guisp=NONE gui=NONE
  hi PreProc guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
  hi Question guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
  hi Removed guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
  hi ReplaceMode guifg=#cb4b16 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi Search guifg=#b58900 guibg=NONE guisp=NONE gui=reverse
  hi SignColumn guifg=#657b83 guibg=#eee8d5 guisp=NONE gui=NONE
  hi Special guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
  hi SpecialKey guifg=#839496 guibg=#eee8d5 guisp=NONE gui=bold
  hi SpellBad guifg=#d33682 guibg=NONE guisp=#6c71c4 gui=undercurl
  hi SpellCap guifg=#d33682 guibg=NONE guisp=#6c71c4 gui=undercurl
  hi SpellLocal guifg=#b58900 guibg=NONE guisp=#b58900 gui=undercurl
  hi SpellRare guifg=#2aa198 guibg=NONE guisp=#2aa198 gui=undercurl
  hi Statement guifg=#859900 guibg=NONE guisp=NONE gui=NONE
  hi StatusLine guifg=#586e75 guibg=#eee8d5 guisp=NONE gui=reverse
  hi StatusLineNC guifg=#839496 guibg=#eee8d5 guisp=NONE gui=reverse
  hi TabLine guifg=#839496 guibg=#eee8d5 guisp=NONE gui=reverse
  hi TabLineFill guifg=#839496 guibg=#eee8d5 guisp=NONE gui=reverse
  hi TabLineSel guifg=#586e75 guibg=#eee8d5 guisp=NONE gui=reverse
  hi Terminal guifg=fg guibg=#fdf6e3 guisp=NONE gui=NONE
  hi Title guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
  hi Todo guifg=#d33682 guibg=NONE guisp=NONE gui=bold
  hi ToolbarButton guifg=#586e75 guibg=#eee8d5 guisp=NONE gui=bold
  hi ToolbarLine guifg=NONE guibg=#eee8d5 guisp=NONE gui=NONE
  hi Type guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
  hi Underlined guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
  hi VertSplit guifg=#586e75 guibg=#93a1a1 guisp=NONE gui=NONE
  hi Visual guifg=#93a1a1 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi VisualMode guifg=#d33682 guibg=#fdf6e3 guisp=NONE gui=reverse
  hi VisualNOS guifg=NONE guibg=#eee8d5 guisp=NONE gui=reverse
  hi WarningMsg guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
  hi WildMenu guifg=#073642 guibg=#eee8d5 guisp=NONE gui=reverse

  if has('gui_running')
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 guibg=NONE guisp=NONE gui=reverse
      hi DiffChange guifg=#b58900 guibg=NONE guisp=NONE gui=reverse
      hi DiffDelete guifg=#dc322f guibg=NONE guisp=NONE gui=reverse
      hi DiffText guifg=#268bd2 guibg=NONE guisp=NONE gui=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 guibg=NONE guisp=#859900 gui=NONE
      hi DiffChange guifg=#b58900 guibg=NONE guisp=#b58900 gui=NONE
      hi DiffDelete guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi DiffText guifg=#268bd2 guibg=NONE guisp=#268bd2 gui=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f guibg=NONE guisp=#dc322f gui=undercurl
      hi ALEErrorLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi ALEInfo guifg=#2aa198 guibg=NONE guisp=#2aa198 gui=undercurl
      hi ALEInfoLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 guibg=NONE guisp=#b58900 gui=undercurl
      hi ALEWarningLine guifg=NONE guibg=NONE guisp=NONE gui=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi VarId guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi cPreCondit guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi gitcommitFile guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi gitcommitHeader guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#93a1a1 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi gitcommitUnmerged guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 guibg=NONE guisp=NONE gui=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
      hi gitcommitdiscardedtype guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi gitcommitselectedtype guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi helpExample guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi helpHyperTextEntry guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi helpHyperTextJump guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi helpNote guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi helpOption guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi hsImportLabel guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsStatement guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsString guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi hsStructure guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsType guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi hsTypedef guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hsVarSym guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi hs_DeclareFunction guifg=#cb4b16 guibg=NONE guisp=NONE gui=NONE
      hi hs_OpFunctionName guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi hs_hlFunctionName guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi hsniceoperator guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi htmlArg guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi htmlEndTag guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi htmlTag guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi htmlTagN guifg=#586e75 guibg=NONE guisp=NONE gui=bold
      hi htmlTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi javaScript guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader5 guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi pandocBlockQuoteLeader6 guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitation guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationDelim guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationID guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocCitationRef guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocDefinitionTerm guifg=#6c71c4 guibg=NONE guisp=NONE gui=standout
      hi pandocEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNested guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocEscapePair guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi pandocFootnoteDefLink guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi pandocFootnoteInline guifg=#859900 guibg=NONE guisp=NONE gui=bold
      hi pandocFootnoteLink guifg=#859900 guibg=NONE guisp=NONE gui=NONE
      hi pandocHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocHeadingMarker guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocImageCaption guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 guibg=NONE guisp=#839496 gui=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocLinkDelim guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkLabel guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkText guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkTitle guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi pandocLinkTitleDelim guifg=#93a1a1 guibg=NONE guisp=#839496 gui=NONE
      hi pandocLinkURL guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi pandocListMarker guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocListReference guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi pandocMetadata guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocMetadataDelim guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi pandocMetadataKey guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f guibg=NONE guisp=NONE gui=reverse
      hi pandocRule guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocRuleLine guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrikeout guifg=#93a1a1 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrikeoutTable guifg=#268bd2 guibg=NONE guisp=NONE gui=reverse
      hi pandocStrongEmphasis guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasis guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNested guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocStyleDelim guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscript guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocSubscriptTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscript guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocSuperscriptTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTableStructure guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 guibg=#eee8d5 guisp=NONE gui=NONE
      hi pandocTableZebraLight guifg=#268bd2 guibg=#fdf6e3 guisp=NONE gui=NONE
      hi pandocTitleBlock guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocTitleComment guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi pandocVerbatimBlock guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi perlHereDoc guifg=#586e75 guibg=NONE guisp=NONE gui=NONE
      hi perlStatementFileDesc guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi perlVarPlain guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi rubyBoolean guifg=#d33682 guibg=NONE guisp=NONE gui=NONE
      hi rubyDefine guifg=#586e75 guibg=NONE guisp=NONE gui=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texmathzonex guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texreflabel guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi texstatement guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi vimCmdSep guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi vimCommand guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi vimCommentString guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 guibg=NONE guisp=NONE gui=bold
      hi vimHiGroup guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi vimHiLink guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi vimIsCommand guifg=#839496 guibg=NONE guisp=NONE gui=NONE
      hi vimSynMtchOpt guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
      hi vimSynType guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi htmlSpecialTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
      hi pandocComment guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasis guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=NONE
      hi pandocEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#93a1a1 guibg=NONE guisp=NONE gui=italic
      hi htmlSpecialTagName guifg=#268bd2 guibg=NONE guisp=NONE gui=italic
      hi pandocComment guifg=#93a1a1 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasis guifg=#657b83 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 guibg=NONE guisp=NONE gui=italic
      hi pandocEmphasisTable guifg=#268bd2 guibg=NONE guisp=NONE gui=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#eee8d5 guibg=#dc322f guisp=NONE gui=NONE
      hi ALEInfoSignLineNr guifg=#eee8d5 guibg=#2aa198 guisp=NONE gui=NONE
      hi ALEWarningSignLineNr guifg=#eee8d5 guibg=#b58900 guisp=NONE gui=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f guibg=NONE guisp=NONE gui=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 guibg=NONE guisp=NONE gui=NONE
      hi ALEWarningSignLineNr guifg=#b58900 guibg=NONE guisp=NONE gui=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f guibg=#eee8d5 guisp=NONE gui=bold
      hi ALEInfoSign guifg=#2aa198 guibg=#eee8d5 guisp=NONE gui=bold
      hi ALEWarningSign guifg=#b58900 guibg=#eee8d5 guisp=NONE gui=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi ALEInfoSign guifg=#2aa198 guibg=NONE guisp=NONE gui=bold
      hi ALEWarningSign guifg=#b58900 guibg=NONE guisp=NONE gui=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#eee8d5 guibg=#dc322f guisp=NONE gui=bold
      hi ALEInfoSign guifg=#eee8d5 guibg=#2aa198 guisp=NONE gui=bold
      hi ALEWarningSign guifg=#eee8d5 guibg=#b58900 guisp=NONE gui=bold
    endif
    if s:italics == 0
      hi Comment gui=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#eee8d5 guibg=#073642 guisp=NONE gui=reverse
      hi StatusLineNC guifg=#eee8d5 guibg=#586e75 guisp=NONE gui=reverse
      hi TabLine guifg=#93a1a1 guibg=#eee8d5 guisp=NONE gui=NONE
      hi TabLineFill guifg=#93a1a1 guibg=#eee8d5 guisp=NONE gui=NONE
      hi TabLineSel guifg=#073642 guibg=#eee8d5 guisp=NONE gui=NONE
      hi VertSplit guifg=#93a1a1 guibg=#eee8d5 guisp=NONE gui=NONE
      hi WildMenu guifg=#839496 guibg=#fdf6e3 guisp=NONE gui=reverse
    elseif s:stl == "low"
      hi StatusLine guifg=#93a1a1 guibg=#fdf6e3 guisp=NONE gui=reverse
      hi StatusLineNC guifg=#93a1a1 guibg=#586e75 guisp=NONE gui=reverse
      hi TabLine guifg=#93a1a1 guibg=#586e75 guisp=NONE gui=reverse
      hi TabLineFill guifg=#93a1a1 guibg=#586e75 guisp=NONE gui=reverse
      hi TabLineSel guifg=#586e75 guibg=#fdf6e3 guisp=NONE gui=reverse
      hi VertSplit guifg=#586e75 guibg=#93a1a1 guisp=NONE gui=NONE
      hi WildMenu guifg=#586e75 guibg=#fdf6e3 guisp=NONE gui=reverse
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#657b83 guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#839496 guibg=NONE guisp=NONE gui=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#dc322f guibg=#eee8d5 guisp=NONE gui=bold
      hi LineNr guifg=#657b83 guibg=#eee8d5 guisp=NONE gui=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#657b83 guibg=NONE guisp=NONE gui=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#93a1a1 guibg=#eee8d5 guisp=NONE gui=bold
      hi LineNr guifg=#93a1a1 guibg=#eee8d5 guisp=NONE gui=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#93a1a1 guibg=NONE guisp=NONE gui=bold
      hi LineNr guifg=#93a1a1 guibg=NONE guisp=NONE gui=NONE
    endif
    if s:viscurs == 1
      hi Cursor guifg=#fdf6e3 guibg=#657b83 guisp=NONE gui=NONE
    elseif s:viscurs == 2
      hi Cursor guifg=#fdf6e3 guibg=#dc322f guisp=NONE gui=NONE
    elseif s:viscurs == 3
      hi Cursor guifg=#fdf6e3 guibg=#657b83 guisp=NONE gui=NONE
    elseif s:viscurs == 4
      hi Cursor guifg=#fdf6e3 guibg=#cb4b16 guisp=NONE gui=NONE
    elseif s:viscurs == 5
      hi Cursor guifg=#fdf6e3 guibg=#657b83 guisp=NONE gui=NONE
    endif
    if s:visibility == "high"
      hi MatchParen guifg=#fdf6e3 guibg=#839496 guisp=NONE gui=bold
      hi NonText guifg=#dc322f guibg=NONE guisp=NONE gui=bold
      hi SpecialKey guifg=#dc322f guibg=NONE guisp=NONE gui=reverse
      hi SpellBad guifg=#d33682 guibg=#fdf6e3 guisp=#6c71c4 gui=reverse,undercurl
      hi SpellCap guifg=#d33682 guibg=#fdf6e3 guisp=#6c71c4 gui=reverse,undercurl
      hi SpellLocal guifg=#b58900 guibg=#fdf6e3 guisp=#cb4b16 gui=reverse,undercurl
      hi SpellRare guifg=#2aa198 guibg=#fdf6e3 guisp=#cb4b16 gui=reverse,undercurl
      hi Title guifg=#cb4b16 guibg=NONE guisp=NONE gui=bold
    elseif s:visibility == "low"
      hi MatchParen guifg=#dc322f guibg=#eee8d5 guisp=NONE gui=bold,underline
      hi NonText guifg=#eee8d5 guibg=NONE guisp=NONE gui=bold
      hi SpecialKey guifg=#eee8d5 guibg=NONE guisp=NONE gui=bold
      hi Title guifg=#93a1a1 guibg=NONE guisp=NONE gui=bold
    endif
  endif

  if str2nr(&t_Co) >= 256
    hi Normal ctermfg=242 ctermbg=230 cterm=NONE
    hi Added ctermfg=106 ctermbg=NONE cterm=NONE
    hi Changed ctermfg=136 ctermbg=NONE cterm=NONE
    hi ColorColumn ctermfg=NONE ctermbg=254 cterm=NONE
    hi CommandMode ctermfg=162 ctermbg=230 cterm=reverse
    hi Comment ctermfg=247 ctermbg=NONE cterm=italic
    hi Conceal ctermfg=32 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=37 ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=230 ctermbg=166 cterm=NONE
    hi CursorColumn ctermfg=NONE ctermbg=254 cterm=NONE
    hi CursorIM ctermfg=NONE ctermbg=fg cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=254 cterm=NONE
    hi CursorLineNr ctermfg=66 ctermbg=254 cterm=bold
    hi DiffAdd ctermfg=106 ctermbg=254 cterm=NONE
    hi DiffChange ctermfg=136 ctermbg=254 cterm=NONE
    hi DiffDelete ctermfg=160 ctermbg=254 cterm=bold
    hi DiffText ctermfg=32 ctermbg=254 cterm=NONE
    hi Directory ctermfg=32 ctermbg=NONE cterm=NONE
    hi EndOfBuffer ctermfg=NONE ctermbg=NONE cterm=NONE
    hi Error ctermfg=160 ctermbg=230 cterm=bold,reverse
    hi ErrorMsg ctermfg=160 ctermbg=230 cterm=reverse
    hi FoldColumn ctermfg=66 ctermbg=254 cterm=NONE
    hi Folded ctermfg=66 ctermbg=254 cterm=bold
    hi Identifier ctermfg=32 ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=NONE ctermbg=NONE cterm=NONE
    hi IncSearch ctermfg=166 ctermbg=NONE cterm=standout
    hi InsertMode ctermfg=37 ctermbg=230 cterm=reverse
    hi LineNr ctermfg=246 ctermbg=254 cterm=NONE
    hi MatchParen ctermfg=160 ctermbg=254 cterm=bold,underline
    hi ModeMsg ctermfg=32 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=32 ctermbg=NONE cterm=NONE
    hi NonText ctermfg=246 ctermbg=NONE cterm=bold
    hi NormalMode ctermfg=242 ctermbg=230 cterm=reverse
    hi Pmenu ctermfg=242 ctermbg=254 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=247 cterm=NONE
    hi PmenuSel ctermfg=254 ctermbg=246 cterm=NONE
    hi PmenuThumb ctermfg=NONE ctermbg=66 cterm=NONE
    hi PreProc ctermfg=166 ctermbg=NONE cterm=NONE
    hi Question ctermfg=37 ctermbg=NONE cterm=bold
    hi Removed ctermfg=160 ctermbg=NONE cterm=NONE
    hi ReplaceMode ctermfg=166 ctermbg=230 cterm=reverse
    hi Search ctermfg=136 ctermbg=NONE cterm=reverse
    hi SignColumn ctermfg=66 ctermbg=254 cterm=NONE
    hi Special ctermfg=166 ctermbg=NONE cterm=NONE
    hi SpecialKey ctermfg=246 ctermbg=254 cterm=bold
    hi SpellBad ctermfg=162 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=162 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=136 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=37 ctermbg=NONE cterm=underline
    hi Statement ctermfg=106 ctermbg=NONE cterm=NONE
    hi StatusLine ctermfg=242 ctermbg=254 cterm=reverse
    hi StatusLineNC ctermfg=246 ctermbg=254 cterm=reverse
    hi TabLine ctermfg=246 ctermbg=254 cterm=reverse
    hi TabLineFill ctermfg=246 ctermbg=254 cterm=reverse
    hi TabLineSel ctermfg=242 ctermbg=254 cterm=reverse
    hi Terminal ctermfg=fg ctermbg=230 cterm=NONE
    hi Title ctermfg=166 ctermbg=NONE cterm=bold
    hi Todo ctermfg=162 ctermbg=NONE cterm=bold
    hi ToolbarButton ctermfg=242 ctermbg=254 cterm=bold
    hi ToolbarLine ctermfg=NONE ctermbg=254 cterm=NONE
    hi Type ctermfg=136 ctermbg=NONE cterm=NONE
    hi Underlined ctermfg=61 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=242 ctermbg=247 cterm=NONE
    hi Visual ctermfg=247 ctermbg=230 cterm=reverse
    hi VisualMode ctermfg=162 ctermbg=230 cterm=reverse
    hi VisualNOS ctermfg=NONE ctermbg=254 cterm=reverse
    hi WarningMsg ctermfg=166 ctermbg=NONE cterm=bold
    hi WildMenu ctermfg=236 ctermbg=254 cterm=reverse
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffChange guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffDelete guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffChange guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffDelete guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi DiffText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEErrorLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfo guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEInfoLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEWarningLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi VarId guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi cPreCondit guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitFile guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitHeader guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitUnmerged guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitdiscardedtype guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi gitcommitselectedtype guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpExample guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextEntry guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextJump guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpNote guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpOption guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsImportLabel guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStatement guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsString guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStructure guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsType guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsTypedef guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsVarSym guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_DeclareFunction guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_OpFunctionName guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_hlFunctionName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsniceoperator guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlArg guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlEndTag guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTag guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTagN guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi htmlTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi javaScript guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader5 guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader6 guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitation guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationDelim guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationID guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationRef guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocDefinitionTerm guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=standout
      hi pandocEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNested guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEscapePair guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocFootnoteDefLink guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteInline guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteLink guifg=#859900 ctermfg=106 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocHeadingMarker guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocImageCaption guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocLinkDelim guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkLabel guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkText guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitle guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitleDelim guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkURL guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListMarker guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListReference guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadata guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocMetadataDelim guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadataKey guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocRule guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocRuleLine guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrikeout guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrongEmphasis guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasis guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNested guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStyleDelim guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscript guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSubscriptTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscript guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSuperscriptTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTableStructure guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 ctermfg=32 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
      hi pandocTableZebraLight guifg=#268bd2 ctermfg=32 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=NONE
      hi pandocTitleBlock guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocTitleComment guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimBlock guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlHereDoc guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlStatementFileDesc guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlVarPlain guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyBoolean guifg=#d33682 ctermfg=162 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyDefine guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texmathzonex guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texreflabel guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texstatement guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCmdSep guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimCommand guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCommentString guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimHiGroup guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimHiLink guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimIsCommand guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynMtchOpt guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynType guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocComment guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasis guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocComment guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasis guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=61 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=32 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#eee8d5 ctermfg=254 guibg=#dc322f ctermbg=160 guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#eee8d5 ctermfg=254 guibg=#2aa198 ctermbg=37 guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#eee8d5 ctermfg=254 guibg=#b58900 ctermbg=136 guisp=NONE cterm=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f ctermfg=160 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=37 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=136 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=37 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=136 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#eee8d5 ctermfg=254 guibg=#dc322f ctermbg=160 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#eee8d5 ctermfg=254 guibg=#2aa198 ctermbg=37 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#eee8d5 ctermfg=254 guibg=#b58900 ctermbg=136 guisp=NONE cterm=bold
    endif
    if s:italics == 0
      hi Comment cterm=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#eee8d5 ctermfg=254 guibg=#073642 ctermbg=236 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#eee8d5 ctermfg=254 guibg=#586e75 ctermbg=242 guisp=NONE cterm=reverse
      hi TabLine guifg=#93a1a1 ctermfg=247 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
      hi TabLineFill guifg=#93a1a1 ctermfg=247 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
      hi TabLineSel guifg=#073642 ctermfg=236 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
      hi VertSplit guifg=#93a1a1 ctermfg=247 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
      hi WildMenu guifg=#839496 ctermfg=246 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse
    elseif s:stl == "low"
      hi StatusLine guifg=#93a1a1 ctermfg=247 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#93a1a1 ctermfg=247 guibg=#586e75 ctermbg=242 guisp=NONE cterm=reverse
      hi TabLine guifg=#93a1a1 ctermfg=247 guibg=#586e75 ctermbg=242 guisp=NONE cterm=reverse
      hi TabLineFill guifg=#93a1a1 ctermfg=247 guibg=#586e75 ctermbg=242 guisp=NONE cterm=reverse
      hi TabLineSel guifg=#586e75 ctermfg=242 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse
      hi VertSplit guifg=#586e75 ctermfg=242 guibg=#93a1a1 ctermbg=247 guisp=NONE cterm=NONE
      hi WildMenu guifg=#586e75 ctermfg=242 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse
    endif
    if s:termtrans == 1
      hi Normal guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi FoldColumn guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi Folded guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Terminal guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ToolbarButton guifg=#586e75 ctermfg=242 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ToolbarLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=246 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#dc322f ctermfg=160 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=66 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=66 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#93a1a1 ctermfg=247 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold
      hi LineNr guifg=#93a1a1 ctermfg=247 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:viscurs == 1
      hi Cursor guifg=#fdf6e3 ctermfg=230 guibg=#657b83 ctermbg=66 guisp=NONE cterm=NONE
    elseif s:viscurs == 2
      hi Cursor guifg=#fdf6e3 ctermfg=230 guibg=#dc322f ctermbg=160 guisp=NONE cterm=NONE
    elseif s:viscurs == 3
      hi Cursor guifg=#fdf6e3 ctermfg=230 guibg=#657b83 ctermbg=66 guisp=NONE cterm=NONE
    elseif s:viscurs == 4
      hi Cursor guifg=#fdf6e3 ctermfg=230 guibg=#cb4b16 ctermbg=166 guisp=NONE cterm=NONE
    elseif s:viscurs == 5
      hi Cursor guifg=#fdf6e3 ctermfg=230 guibg=#657b83 ctermbg=66 guisp=NONE cterm=NONE
    endif
    if s:visibility == "high"
      hi MatchParen guifg=#fdf6e3 ctermfg=230 guibg=#839496 ctermbg=246 guisp=NONE cterm=bold
      hi NonText guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#dc322f ctermfg=160 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi SpellBad guifg=#d33682 ctermfg=162 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellCap guifg=#d33682 ctermfg=162 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellLocal guifg=#b58900 ctermfg=136 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi SpellRare guifg=#2aa198 ctermfg=37 guibg=#fdf6e3 ctermbg=230 guisp=NONE cterm=reverse,underline
      hi Title guifg=#cb4b16 ctermfg=166 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:visibility == "low"
      hi MatchParen guifg=#dc322f ctermfg=160 guibg=#eee8d5 ctermbg=254 guisp=NONE cterm=bold,underline
      hi NonText guifg=#eee8d5 ctermfg=254 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#eee8d5 ctermfg=254 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Title guifg=#93a1a1 ctermfg=247 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:viscurs
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif

  if str2nr(&t_Co) >= 16
    hi Normal ctermfg=10 ctermbg=15 cterm=NONE
    hi Added ctermfg=2 ctermbg=NONE cterm=NONE
    hi Changed ctermfg=3 ctermbg=NONE cterm=NONE
    hi ColorColumn ctermfg=NONE ctermbg=7 cterm=NONE
    hi CommandMode ctermfg=5 ctermbg=15 cterm=reverse
    hi Comment ctermfg=14 ctermbg=NONE cterm=italic
    hi Conceal ctermfg=4 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=6 ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=15 ctermbg=9 cterm=NONE
    hi CursorColumn ctermfg=NONE ctermbg=7 cterm=NONE
    hi CursorIM ctermfg=NONE ctermbg=fg cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=7 cterm=NONE
    hi CursorLineNr ctermfg=11 ctermbg=7 cterm=bold
    hi DiffAdd ctermfg=2 ctermbg=7 cterm=NONE
    hi DiffChange ctermfg=3 ctermbg=7 cterm=NONE
    hi DiffDelete ctermfg=1 ctermbg=7 cterm=bold
    hi DiffText ctermfg=4 ctermbg=7 cterm=NONE
    hi Directory ctermfg=4 ctermbg=NONE cterm=NONE
    hi EndOfBuffer ctermfg=NONE ctermbg=NONE cterm=NONE
    hi Error ctermfg=1 ctermbg=15 cterm=bold,reverse
    hi ErrorMsg ctermfg=1 ctermbg=15 cterm=reverse
    hi FoldColumn ctermfg=11 ctermbg=7 cterm=NONE
    hi Folded ctermfg=11 ctermbg=7 cterm=bold
    hi Identifier ctermfg=4 ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=NONE ctermbg=NONE cterm=NONE
    hi IncSearch ctermfg=9 ctermbg=NONE cterm=standout
    hi InsertMode ctermfg=6 ctermbg=15 cterm=reverse
    hi LineNr ctermfg=12 ctermbg=7 cterm=NONE
    hi MatchParen ctermfg=1 ctermbg=7 cterm=bold,underline
    hi ModeMsg ctermfg=4 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=4 ctermbg=NONE cterm=NONE
    hi NonText ctermfg=12 ctermbg=NONE cterm=bold
    hi NormalMode ctermfg=10 ctermbg=15 cterm=reverse
    hi Pmenu ctermfg=10 ctermbg=7 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=14 cterm=NONE
    hi PmenuSel ctermfg=7 ctermbg=12 cterm=NONE
    hi PmenuThumb ctermfg=NONE ctermbg=11 cterm=NONE
    hi PreProc ctermfg=9 ctermbg=NONE cterm=NONE
    hi Question ctermfg=6 ctermbg=NONE cterm=bold
    hi Removed ctermfg=1 ctermbg=NONE cterm=NONE
    hi ReplaceMode ctermfg=9 ctermbg=15 cterm=reverse
    hi Search ctermfg=3 ctermbg=NONE cterm=reverse
    hi SignColumn ctermfg=11 ctermbg=7 cterm=NONE
    hi Special ctermfg=9 ctermbg=NONE cterm=NONE
    hi SpecialKey ctermfg=12 ctermbg=7 cterm=bold
    hi SpellBad ctermfg=5 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=5 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=3 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=6 ctermbg=NONE cterm=underline
    hi Statement ctermfg=2 ctermbg=NONE cterm=NONE
    hi StatusLine ctermfg=10 ctermbg=7 cterm=reverse
    hi StatusLineNC ctermfg=12 ctermbg=7 cterm=reverse
    hi TabLine ctermfg=12 ctermbg=7 cterm=reverse
    hi TabLineFill ctermfg=12 ctermbg=7 cterm=reverse
    hi TabLineSel ctermfg=10 ctermbg=7 cterm=reverse
    hi Terminal ctermfg=fg ctermbg=15 cterm=NONE
    hi Title ctermfg=9 ctermbg=NONE cterm=bold
    hi Todo ctermfg=5 ctermbg=NONE cterm=bold
    hi ToolbarButton ctermfg=10 ctermbg=7 cterm=bold
    hi ToolbarLine ctermfg=NONE ctermbg=7 cterm=NONE
    hi Type ctermfg=3 ctermbg=NONE cterm=NONE
    hi Underlined ctermfg=13 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=10 ctermbg=14 cterm=NONE
    hi Visual ctermfg=14 ctermbg=15 cterm=reverse
    hi VisualMode ctermfg=5 ctermbg=15 cterm=reverse
    hi VisualNOS ctermfg=NONE ctermbg=7 cterm=reverse
    hi WarningMsg ctermfg=9 ctermbg=NONE cterm=bold
    hi WildMenu ctermfg=0 ctermbg=7 cterm=reverse
    if s:diffmode == "high"
      hi DiffAdd guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffChange guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffDelete guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi DiffText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
    elseif s:diffmode == "low"
      hi DiffAdd guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffChange guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi DiffDelete guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi DiffText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra == 1
      hi ALEError guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEErrorLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfo guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEInfoLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link ALEStyleError ALEError
      hi! link ALEStyleErrorSign ALEErrorSign
      hi! link ALEStyleErrorSignLineNr ALEErrorSignLineNr
      hi! link ALEStyleWarning ALEWarning
      hi! link ALEStyleWarningSign ALEWarningSign
      hi! link ALEStyleWarningSignLineNr ALEWarningSignLineNr
      hi ALEWarning guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=underline
      hi ALEWarningLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link CocMenuSel PmenuSel
      hi ConId guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi VarId guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi cPreCondit guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link diffAdded Statement
      hi! link diffLine Identifier
      hi gitcommitBranch guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitDiscarded gitcommitComment
      hi! link gitcommitDiscardedArrow gitcommitDiscardedFile
      hi gitcommitDiscardedFile guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitFile guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitHeader guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link gitcommitNoBranch gitcommitBranch
      hi gitcommitOnBranch guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitSelected gitcommitComment
      hi! link gitcommitSelectedArrow gitcommitSelectedFile
      hi gitcommitSelectedFile guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitUnmerged guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUnmergedArrow gitcommitUnmergedFile
      hi gitcommitUnmergedFile guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link gitcommitUntracked gitcommitComment
      hi gitcommitUntrackedFile guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi gitcommitdiscardedtype guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi gitcommitselectedtype guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpExample guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextEntry guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpHyperTextJump guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpNote guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi helpOption guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link helpSpecial Special
      hi helpVim guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsDelimTypeExport Delimiter
      hi hsImport guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsImportLabel guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsImportParams Delimiter
      hi hsModuleName guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link hsModuleStartLabel hsStructure
      hi! link hsModuleWhereLabel hsModuleStartLabel
      hi hsNiceOperator guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStatement guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsString guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsStructure guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsType guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsTypedef guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsVarSym guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_DeclareFunction guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_OpFunctionName guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hs_hlFunctionName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi hsniceoperator guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlArg guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlEndTag guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTag guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlTagN guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi htmlTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi javaScript guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link jsFuncCall Function
      hi pandocBlockQuote guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader1 guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader2 guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader3 guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader4 guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader5 guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocBlockQuoteLeader6 guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitation guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationDelim guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationID guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocCitationRef guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocCodeBlock pandocVerbatimBlock
      hi! link pandocCodeBlockDelim pandocVerbatimBlock
      hi pandocDefinitionBlock guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocDefinitionIndctr guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocDefinitionTerm guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=standout
      hi pandocEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNested guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEmphasisNestedTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocEscapePair guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocEscapedCharacter pandocEscapePair
      hi pandocFootnote guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocFootnoteDefLink guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteInline guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocFootnoteLink guifg=#859900 ctermfg=2 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocHeadingMarker guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocImageCaption guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link pandocLineBreak pandocEscapePair
      hi pandocLinkDefinition guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkDefinitionID guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocLinkDelim guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkLabel guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkText guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitle guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkTitleDelim guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocLinkURL guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListMarker guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocListReference guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadata guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocMetadataDelim guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocMetadataKey guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocMetadataTitle pandocMetadata
      hi pandocNonBreakingSpace guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocRule guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocRuleLine guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrikeout guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrikeoutTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi pandocStrongEmphasis guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasis guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNested guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisNestedTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStrongEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocStyleDelim guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscript guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSubscriptHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSubscriptTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscript guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocSuperscriptHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocSuperscriptTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTableStructure guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocTableStructureEnd pandocTableStructre
      hi! link pandocTableStructureTop pandocTableStructre
      hi pandocTableZebraDark guifg=#268bd2 ctermfg=4 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
      hi pandocTableZebraLight guifg=#268bd2 ctermfg=4 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=NONE
      hi pandocTitleBlock guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocTitleBlockTitle guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocTitleComment guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimBlock guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link pandocVerbatimBlockDeep pandocVerbatimBlock
      hi pandocVerbatimInline guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocVerbatimInlineHeading guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi pandocVerbatimInlineTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlHereDoc guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlStatementFileDesc guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi perlVarPlain guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyBoolean guifg=#d33682 ctermfg=5 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi rubyDefine guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi! link rubySymbol Type
      hi texmathmatcher guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texmathzonex guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texreflabel guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi texstatement guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCmdSep guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimCommand guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimCommentString guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimFunc Function
      hi vimGroup guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi vimHiGroup guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimHiLink guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimIsCommand guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynMtchOpt guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi vimSynType guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi! link vimUserFunc Function
      hi! link vimVar Identifier
    endif
    if s:extra_italic == 1
      hi gitcommitComment guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocComment guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasis guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:extra_italic == 3
      hi gitcommitComment guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi htmlSpecialTagName guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocComment guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasis guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisDefinition guifg=#6c71c4 ctermfg=13 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
      hi pandocEmphasisTable guifg=#268bd2 ctermfg=4 guibg=NONE ctermbg=NONE guisp=NONE cterm=italic
    endif
    if s:extra_stl == 1
      hi ALEErrorSignLineNr guifg=#eee8d5 ctermfg=7 guibg=#dc322f ctermbg=1 guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#eee8d5 ctermfg=7 guibg=#2aa198 ctermbg=6 guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#eee8d5 ctermfg=7 guibg=#b58900 ctermbg=3 guisp=NONE cterm=NONE
    elseif s:extra_stl == 3
      hi ALEErrorSignLineNr guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEInfoSignLineNr guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ALEWarningSignLineNr guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:extra_stl_hl == 1
      hi ALEErrorSign guifg=#dc322f ctermfg=1 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=6 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=3 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 3
      hi ALEErrorSign guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#2aa198 ctermfg=6 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#b58900 ctermfg=3 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:extra_stl_hl == 5
      hi ALEErrorSign guifg=#eee8d5 ctermfg=7 guibg=#dc322f ctermbg=1 guisp=NONE cterm=bold
      hi ALEInfoSign guifg=#eee8d5 ctermfg=7 guibg=#2aa198 ctermbg=6 guisp=NONE cterm=bold
      hi ALEWarningSign guifg=#eee8d5 ctermfg=7 guibg=#b58900 ctermbg=3 guisp=NONE cterm=bold
    endif
    if s:italics == 0
      hi Comment cterm=NONE
    endif
    if s:stl == "flat"
      hi StatusLine guifg=#eee8d5 ctermfg=7 guibg=#073642 ctermbg=0 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#eee8d5 ctermfg=7 guibg=#586e75 ctermbg=10 guisp=NONE cterm=reverse
      hi TabLine guifg=#93a1a1 ctermfg=14 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
      hi TabLineFill guifg=#93a1a1 ctermfg=14 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
      hi TabLineSel guifg=#073642 ctermfg=0 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
      hi VertSplit guifg=#93a1a1 ctermfg=14 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
      hi WildMenu guifg=#839496 ctermfg=12 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse
    elseif s:stl == "low"
      hi StatusLine guifg=#93a1a1 ctermfg=14 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse
      hi StatusLineNC guifg=#93a1a1 ctermfg=14 guibg=#586e75 ctermbg=10 guisp=NONE cterm=reverse
      hi TabLine guifg=#93a1a1 ctermfg=14 guibg=#586e75 ctermbg=10 guisp=NONE cterm=reverse
      hi TabLineFill guifg=#93a1a1 ctermfg=14 guibg=#586e75 ctermbg=10 guisp=NONE cterm=reverse
      hi TabLineSel guifg=#586e75 ctermfg=10 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse
      hi VertSplit guifg=#586e75 ctermfg=10 guibg=#93a1a1 ctermbg=14 guisp=NONE cterm=NONE
      hi WildMenu guifg=#586e75 ctermfg=10 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse
    endif
    if s:termtrans == 1
      hi Normal guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi FoldColumn guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi Folded guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Terminal guifg=fg ctermfg=fg guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
      hi ToolbarButton guifg=#586e75 ctermfg=10 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi ToolbarLine guifg=NONE ctermfg=NONE guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:transvis == 1
      hi CursorLineNr guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#839496 ctermfg=12 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 2
      hi CursorLineNr guifg=#dc322f ctermfg=1 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=11 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
    elseif s:transvis == 3
      hi CursorLineNr guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#657b83 ctermfg=11 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    elseif s:transvis == 4
      hi CursorLineNr guifg=#93a1a1 ctermfg=14 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold
      hi LineNr guifg=#93a1a1 ctermfg=14 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=NONE
    elseif s:transvis == 5
      hi CursorLineNr guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi LineNr guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=NONE
    endif
    if s:viscurs == 1
      hi Cursor guifg=#fdf6e3 ctermfg=15 guibg=#657b83 ctermbg=11 guisp=NONE cterm=NONE
    elseif s:viscurs == 2
      hi Cursor guifg=#fdf6e3 ctermfg=15 guibg=#dc322f ctermbg=1 guisp=NONE cterm=NONE
    elseif s:viscurs == 3
      hi Cursor guifg=#fdf6e3 ctermfg=15 guibg=#657b83 ctermbg=11 guisp=NONE cterm=NONE
    elseif s:viscurs == 4
      hi Cursor guifg=#fdf6e3 ctermfg=15 guibg=#cb4b16 ctermbg=9 guisp=NONE cterm=NONE
    elseif s:viscurs == 5
      hi Cursor guifg=#fdf6e3 ctermfg=15 guibg=#657b83 ctermbg=11 guisp=NONE cterm=NONE
    endif
    if s:visibility == "high"
      hi MatchParen guifg=#fdf6e3 ctermfg=15 guibg=#839496 ctermbg=12 guisp=NONE cterm=bold
      hi NonText guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#dc322f ctermfg=1 guibg=NONE ctermbg=NONE guisp=NONE cterm=reverse
      hi SpellBad guifg=#d33682 ctermfg=5 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellCap guifg=#d33682 ctermfg=5 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellLocal guifg=#b58900 ctermfg=3 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi SpellRare guifg=#2aa198 ctermfg=6 guibg=#fdf6e3 ctermbg=15 guisp=NONE cterm=reverse,underline
      hi Title guifg=#cb4b16 ctermfg=9 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    elseif s:visibility == "low"
      hi MatchParen guifg=#dc322f ctermfg=1 guibg=#eee8d5 ctermbg=7 guisp=NONE cterm=bold,underline
      hi NonText guifg=#eee8d5 ctermfg=7 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi SpecialKey guifg=#eee8d5 ctermfg=7 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
      hi Title guifg=#93a1a1 ctermfg=14 guibg=NONE ctermbg=NONE guisp=NONE cterm=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:viscurs
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif

  if str2nr(&t_Co) >= 0
    hi Normal term=NONE
    hi Added term=bold
    hi Changed term=bold,italic
    hi ColorColumn term=reverse
    hi CommandMode term=reverse
    hi Comment term=italic
    hi Conceal term=NONE
    hi Constant term=bold,italic
    hi Cursor term=NONE
    hi CursorColumn term=reverse
    hi CursorIM term=NONE
    hi CursorLine term=underline
    hi CursorLineNr term=bold,italic,reverse,underline
    hi DiffAdd term=reverse,underline
    hi DiffChange term=reverse,underline
    hi DiffDelete term=reverse,underline
    hi DiffText term=bold,reverse,underline
    hi Directory term=NONE
    hi EndOfBuffer term=NONE
    hi Error term=reverse
    hi ErrorMsg term=bold,italic,reverse
    hi FoldColumn term=reverse
    hi Folded term=italic,reverse,underline
    hi Identifier term=italic
    hi Ignore term=NONE
    hi IncSearch term=bold,italic,reverse
    hi InsertMode term=reverse
    hi LineNr term=reverse
    hi MatchParen term=bold,underline
    hi ModeMsg term=NONE
    hi MoreMsg term=NONE
    hi NonText term=NONE
    hi NormalMode term=reverse
    hi Pmenu term=reverse
    hi PmenuSbar term=NONE
    hi PmenuSel term=NONE
    hi PmenuThumb term=NONE
    hi PreProc term=italic
    hi Question term=standout
    hi Removed term=reverse,strikethrough
    hi ReplaceMode term=reverse
    hi Search term=italic,underline
    hi SignColumn term=reverse
    hi Special term=bold,italic
    hi SpecialKey term=bold
    hi SpellBad term=italic,underline
    hi SpellCap term=italic,underline
    hi SpellLocal term=italic,underline
    hi SpellRare term=italic,underline
    hi Statement term=bold
    hi StatusLine term=bold,reverse
    hi StatusLineNC term=reverse
    hi TabLine term=italic,reverse,underline
    hi TabLineFill term=reverse,underline
    hi TabLineSel term=bold
    hi Terminal term=NONE
    hi Title term=bold
    hi Todo term=bold,underline
    hi ToolbarButton term=bold,reverse
    hi ToolbarLine term=reverse
    hi Type term=bold
    hi Underlined term=underline
    hi VertSplit term=reverse
    hi Visual term=reverse
    hi VisualMode term=reverse
    hi VisualNOS term=NONE
    hi WarningMsg term=standout
    hi WildMenu term=bold
    if s:diffmode == "high"
      hi DiffAdd term=reverse
      hi DiffChange term=reverse
      hi DiffDelete term=reverse
      hi DiffText term=reverse
    elseif s:diffmode == "low"
      hi DiffDelete term=bold
    endif
    if s:italics == 0
      hi Comment term=NONE
    endif
    if s:stl == "flat"
      hi StatusLine term=reverse
      hi StatusLineNC term=reverse
      hi TabLine term=NONE
      hi TabLineFill term=NONE
      hi TabLineSel term=NONE
      hi VertSplit term=NONE
      hi WildMenu term=reverse
    elseif s:stl == "low"
      hi StatusLine term=reverse
      hi StatusLineNC term=reverse
      hi TabLine term=reverse
      hi TabLineFill term=reverse
      hi TabLineSel term=reverse
      hi VertSplit term=NONE
      hi WildMenu term=reverse
    endif
    if s:transvis == 1
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 2
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 3
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 4
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    elseif s:transvis == 5
      hi CursorLineNr term=bold
      hi LineNr term=NONE
    endif
    if s:viscurs == 1
      hi Cursor term=NONE
    elseif s:viscurs == 2
      hi Cursor term=NONE
    elseif s:viscurs == 3
      hi Cursor term=NONE
    elseif s:viscurs == 4
      hi Cursor term=NONE
    elseif s:viscurs == 5
      hi Cursor term=NONE
    endif
    if s:visibility == "high"
      hi MatchParen term=bold
      hi NonText term=bold
      hi SpecialKey term=reverse
      hi Title term=bold
    elseif s:visibility == "low"
      hi MatchParen term=bold,underline
      hi NonText term=bold
      hi SpecialKey term=bold
      hi Title term=bold
    endif
    unlet s:italics
    unlet s:termtrans
    unlet s:visibility
    unlet s:diffmode
    unlet s:stl
    unlet s:extra
    unlet s:vismap
    unlet s:transvis
    unlet s:extra_italic
    unlet s:viscurs
    unlet s:extra_stl
    unlet s:extra_stl_hl
    finish
  endif
endif

" vim: et ts=8 sw=2 sts=2
